# Retrieve user credentials

## Accessing User Credentials

A user’s complete set of credentials is private and fully owned by the user. These credentials are encrypted and secured so that no one—including your app—can access them unless they were issued by your app.

The `List Credentials` endpoint returns **only** the credentials that were originally created by your application. Credentials issued by other apps or agents are strictly excluded from this list and cannot be accessed, viewed, or managed by your app.

This design ensures user privacy while allowing your app to manage the credentials it created—such as for updates or revocation.

## Listing the user's credentials

<mark style="color:green;">`POST`</mark> `/api.moojo.id/user/vault/list-credentials`

**Headers**

| Name          | Value                                                                                                             |
| ------------- | ----------------------------------------------------------------------------------------------------------------- |
| Content-Type  | `application/json`                                                                                                |
| x-api-key     | Your API KEY as provided by Moojo                                                                                 |
| Authorization | <p><code>Bearer {{USER\_TOKEN}}</code><br><br>Retrieve the user token using one of the authentication methods</p> |

**Body**

Leave the body empty.

**Response example**

{% tabs %}
{% tab title="200" %}

```json
{
    "status": "success",
    "traceId": "1e97bfc7-ee87-4415-901b-e008e7ad4c41",
    "data":
    {
        "credentials":
        [
            {
                "id": "0x5dad0dcec629aebab6d0d458bfc4c044714a1d4221108b554f1ab9461c7d00f8",
                "definitionId": "0xe27c9c7d9f7235a53863028e3bf0a89abc930363af77541a7b50b9650d07c2b3",
                "createdAt": 1742915444615,
                "attesterAddress": "0x6Bd984B64AD9e17BD0669A580654e8e318bbF0FF",
                "recipientAddress": "0x948140FA9eD89c5b3004F8977de560f5cB2a123B",
                "slug": "groceries-expenses",
                "fields": {
                  "monthly-spend": 300,
                  "currency": "USD"
                }
            },
            {
                "id": "0x875acbb3de984d1bb82ec4f8ccc36224dc3ad9851598ec101e2c7934e91261ed",
                "definitionId": "0xe27c9c7d9f7235a53863028e3bf0a89abc930363af77541a7b50b9650d07c2b3",
                "createdAt": 1743074960975,
                "attesterAddress": "0x6Bd984B64AD9e17BD0669A580654e8e318bbF0CC",
                "recipientAddress": "0x948140FA9eD89c5b3004F8977de560f5cB2a123F",
                "slug": "Sports_Health_Metrics",
                "fields": {
                    "Frequency": 3,
                    "Goal": "Energy"
                }
            }
            
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moojo.id/user-credentials/retrieve-user-credentials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
